org.eclipse.wst.jsdt.ui.actions

## Class FindReferencesInWorkingSetAction

- java.lang.Object
- - Action
  - - org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction
    - - org.eclipse.wst.jsdt.ui.actions.FindAction
      - - org.eclipse.wst.jsdt.ui.actions.FindReferencesAction
        - - org.eclipse.wst.jsdt.ui.actions.FindReferencesInWorkingSetAction

Direct Known Subclasses:
  FindReadReferencesInWorkingSetAction, FindWriteReferencesInWorkingSetAction

    public class FindReferencesInWorkingSetAction
    extends FindReferencesAction

Finds references of the selected element in working sets. The action is applicable to selections representing a JavaScript element.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`FindReferencesInWorkingSetAction(IWorkbenchSite site)` Creates a new `FindReferencesInWorkingSetAction`.
`FindReferencesInWorkingSetAction(IWorkbenchSite site, IWorkingSet[] workingSets)` Creates a new `FindReferencesInWorkingSetAction`.
`FindReferencesInWorkingSetAction(org.eclipse.wst.jsdt.internal.ui.javaeditor.JavaEditor editor, IWorkingSet[] workingSets)` Note: This constructor is for internal use only.

### Method Summary

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.FindReferencesAction

`run`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.FindAction

`selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.wst.jsdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, setSpecialSelectionProvider, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindReferencesInWorkingSetAction

    public FindReferencesInWorkingSetAction(IWorkbenchSite site)

Creates a new `FindReferencesInWorkingSetAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`. The user will be prompted to select the working sets.

Parameters:
  `site` - the site providing context information for this action

#### FindReferencesInWorkingSetAction

    public FindReferencesInWorkingSetAction(IWorkbenchSite site,
                                            IWorkingSet[] workingSets)

Creates a new `FindReferencesInWorkingSetAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action
  `workingSets` - the working sets to be used in the search

#### FindReferencesInWorkingSetAction

    public FindReferencesInWorkingSetAction(org.eclipse.wst.jsdt.internal.ui.javaeditor.JavaEditor editor,
                                            IWorkingSet[] workingSets)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the JavaScript editor
  `workingSets` - the working sets to be used in the search